#
# spec file for package ghc-blaze-svg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name blaze-svg
Name:           ghc-%{pkg_name}
Version:        0.3.6.1
Release:        1.1
Summary:        SVG combinator library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros

%description
A blazingly fast SVG combinator library for the Haskell programming language.
The "Text.Blaze.SVG" module is a good starting point.

Other documentation:

* Programs in the /examples/ folder of this project:
<https://github.com/deepakjois/blaze-svg/tree/master/examples/>

* Jasper Van Der Jeugt has written a tutorial for /blaze-html/, which is a
sister library of /blaze-svg/. It may not be directly relevant, but still it
gives a good overview on how to use the combinators in "Text.Blaze.Svg11" and
"Text.Blaze.Svg11.Attributes": <http://jaspervdj.be/blaze/tutorial.html>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGES.md examples

%changelog
* Fri Mar 16 2018 psimons@suse.com
- Update blaze-svg to version 0.3.6.1.
  A more detailed change log is not available.
